@import "../constants/vars";
.app-sidebar {
    position: fixed;
    left: 0;
    box-shadow: 0 0 6px $abu;
    z-index: 100;
    &.ant-layout-sider-collapsed {
        & li.ant-menu-item {
            padding: 0 !important;
            & .anticon {
                color: white;
                font-size: 24px;
            }
        }
        & .app-title {
            display: none;
        }
        & .app-logo {
            width: $sidebarWidthCollapse;
            padding-left: 0 !important;
            margin-top: 30px;
            & h1 {
                display: none;
            }
            & img {
                margin-top: 12px;
            }
        }
        & .app-info {
            width: $sidebarWidthCollapse;
            padding-left: 0 !important;
            .collapse {
                display: block;
            }
            .uncollapse {
                display: none;
            }
        }
        &+.app-content-layout {
            margin-left: $sidebarWidthCollapse;
        }
        &.ant-layout-sider-below+.app-content-layout {
            margin-left: 0 !important;
        }
    }
    &+.app-content-layout {
        margin-left: $sidebarWidth;
    }
    &.ant-layout-sider-below+.app-content-layout {
        margin-left: 0 !important;
    }
    &.ant-layout-sider-collapsed {
        .app-logo {
            padding-top: 8px !important;
            padding-bottom: 8px !important;
            img {
                margin-top: 0px;
            }
        }
    }
    & .app-logo {
        // position: fixed;
        background-color: $blue !important;
        z-index: 0;
        width: $sidebarWidth;
        padding-top: 8px;
        padding-bottom: 8px;
        margin: 0 !important;
        text-align: center;
        & h1 {
            color: white;
            font-size: 22px;
        }
    }
    & .app-info {
        position: absolute;
        background-color: $abu2 !important;
        z-index: 10000000;
        bottom: 0px;
        width: $sidebarWidth;
        margin: 0 !important;
        padding-top: 8px;
        padding-bottom: 4px;
        text-align: center;
        cursor: pointer;
        & h1 {
            color: white;
            font-size: 12px;
        }
        &:hover {
            background-color: $abu !important;
        }
        .collapse {
            display: none;
        }
        .uncollapse {
            display: block;
        }
    }
}

.ant-layout-sider-collapsed {
    .app-sidebar-menu {
        .ant-menu-item {
            height: 60px;
            a {
                padding-top: 12px;
                padding-bottom: 10px;
                margin-left: -6px;
                width: 100% !important;
            }
        }
    }
}

.app-sidebar-menu {
    // margin-top: 59px;
    overflow: auto;
    height: 86vh;
    border-top: 1px solid $abu !important;
    margin-bottom: 90px;
    li:first-child {
        //border-top: 6px solid $blueTransparent !important;
    }
    & .anticon {
        color: white;
        font-size: 36px;
        display: block;
    }
    & .ant-menu-item {
        //padding-top: 18px;
        //padding-bottom: 80px;
        padding-top: 0px;
        padding-bottom: 0px;
        height: 90px;
        text-align: center;
        display: block;
        margin-bottom: 0 !important;
        margin-top: 0 !important;
        border-bottom: 1px solid $whiteTransparent2;
        //box-shadow: 0 0 3px red;
        &.ant-menu-item-selected {
            background-color: $blueLight;
        }
        a {
            //box-shadow: 0 0 3px blue;
            padding-top: 12px;
            padding-bottom: 20px;
            padding-left: 10px;
            width: $sidebarWidth !important;
            margin-left: -24px;
            text-align: center;
        }
        &.ant-menu-item-selected {
            & .anticon {
                color: white;
                display: block;
            }
        }
        & span {
            margin-left: -10px;
        }
    }
}

aside {
    &.ant-layout-sider {
        &.ant-layout-sider-dark {
            background-color: $abu !important;
        }
    }
    & ul.ant-menu.ant-menu-dark {
        background-color: $abu !important;
    }
}

.app-drawer-menu {
    &.ant-drawer-open .ant-drawer-content-wrapper {
        box-shadow: 0 0 6px $abu;
    }
    & .ant-drawer-wrapper-body {
        background-color: $abu;
        color: white;
        border-bottom: 1px solid rgba(255, 255, 255, 0.15);
    }
    & .ant-drawer-header {
        background-color: $abu;
        color: white;
        border-bottom: 1px solid rgba(255, 255, 255, 0.15);
    }
    & .ant-drawer-title {
        color: white;
        padding-top: 5px;
        padding-bottom: 5px;
        font-size: 20px;
        font-weight: bold;
    }
    & .ant-drawer-body {
        padding: 0;
    }
    & ul.ant-menu.ant-menu-dark.ant-menu-root.ant-menu-inline {
        background-color: $abu !important;
    }
    & .ant-drawer-close .anticon.anticon-close {
        color: white;
    }
    & ul.ant-menu-vertical {
        background-color: $abu;
        width: 100%;
    }
    & ul.ant-menu-inline-collapsed li.ant-menu-item span {
        opacity: 1;
        padding-left: 10px;
    }
    .footer {
        position: absolute;
        bottom: 0;
        width: 100%;
        border-top: 1px solid $abu2;
        padding: 10px 16px;
        text-align: center;
        left: 0;
        background-color: $abu2;
        color: white;
        &:hover {
            background-color: $abu2;
        }
    }
}

.user-label {
    padding-left: 8px;
    padding-right: 8px;
}

.app-social-list {
    a {
        color: rgba(0, 0, 0, 0.65);
        &:hover {
            color: rgba(0, 0, 0, 1);
        }
    }
}